Table of Contents
- Introduction
- Information Tags
- String Tags
- Variable Tags
- URL Tags
- If Tags
- Graphics Tags
- Database Tags
- Programming Tags

  | · Introduction · catch · cgi · throw · crypt · debug · default · for · gauge · nooutput · noparse · pike · random · realfile · scope · sed · strlen · trace · vfs · wizard

- Supports System
- SSI
- htaccess
- Image Maps
- Appendix

<random> |

`<random>` is defined in the Main RXML parser module. Randomly chooses a message from its contents.

Attributes |
separator,

Attributes

`separator`=string
  The separator used to separate the messages, by default newline.

Example

source code

    <cset preparse variable=num><random
    >1
    2
    3
    4
    5</random></cset>

    Your random number is <formoutput><number num=#num#></formoutput>.

result | Your random number is five.

</dump_if not cookie=rxml-help>